Show / Hide Table of Contents

# Struct RetainerManager

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct RetainerManager

### Fields

| Improve this Doc View Source

#### DisplayOrder

##### Declaration

    public byte *DisplayOrder

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### LastSelectedRetainerId

Contains the Retainer.RetainerId of the last retainer to be selected.

##### Declaration

    public ulong LastSelectedRetainerId

##### Field Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### MaxRetainerEntitlement

##### Declaration

    public byte MaxRetainerEntitlement

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Ready

##### Declaration

    public byte Ready

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Retainer

##### Declaration

    public RetainerManager.RetainerList Retainer

##### Field Value

Type | Description
--- | ---
RetainerManager.RetainerList |

| Improve this Doc View Source

#### RetainerCount

##### Declaration

    public byte RetainerCount

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### RetainerObjectId

##### Declaration

    public uint RetainerObjectId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

### Methods

| Improve this Doc View Source

#### GetActiveRetainer()

##### Declaration

    public RetainerManager.RetainerList.Retainer*GetActiveRetainer()

##### Returns

Type | Description
--- | ---
RetainerManager.RetainerList.Retainer* |

| Improve this Doc View Source

#### GetRetainerBySortedIndex(UInt32)

##### Declaration

    public RetainerManager.RetainerList.Retainer*GetRetainerBySortedIndex(uint sortedIndex)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | sortedIndex |

##### Returns

Type | Description
--- | ---
RetainerManager.RetainerList.Retainer* |

| Improve this Doc View Source

#### GetRetainerCount()

##### Declaration

    public byte GetRetainerCount()

##### Returns

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static RetainerManager*Instance()

##### Returns

Type | Description
--- | ---
RetainerManager* |